package models

type Responder interface {
	Respond() Responder
}

type Response struct {
	StatusCode int `json:"status_code"`
	Message    string
	Error      string
}

func (r Response) Respond() Responder {
	return r
}

type HandleAdminDocumentsUploadResponse struct {
	Response
	Data struct {
		Buckets []Bucket
	}
}

type HandleDocumentationResponse struct {
	Response
	Data struct {
		Buckets []Bucket
	}
}

type UploadDocumentResponse struct {
	Response
	Data UploadDocumentResponseData
}

type UploadDocumentResponseData struct {
	Bucket string
	Object string
	Size   float64
}

type V1SeedResponse struct {
	Response
	Data struct {
		Buckets []string
	}
}

type V1BucketListResponse struct {
	Response
	Data struct {
		Buckets map[string]string
	}
}
